package com.pixelnx.localhelp.ui.order;

import java.io.Serializable;
import java.util.List;


public class ModelNewOrderData implements Serializable {


    String status="";
 private   List<Data> orderData;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<Data> getOrderData() {
        return orderData;
    }

    public void setOrderData(List<Data> orderData) {
        this.orderData = orderData;
    }

    public static class Data implements  Serializable {

        String userId="";
        String id="";
        String vendorId="";
        String saleDate="";
        String partyName="";
        String totalAmount="";
        String deliveryStatus="";
        String userName="";
        String userEmail="";
        String userMobile="";
        String userCity="";
        String userLatitude="";
        String userLongitude="";
        String ordersTotal="";
        String deliveryDate="";
        String paymentType="";
       private List<ModelNewOrderData.Data.DataItem> item;

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getVendorId() {
            return vendorId;
        }

        public void setVendorId(String vendorId) {
            this.vendorId = vendorId;
        }

        public String getSaleDate() {
            return saleDate;
        }

        public void setSaleDate(String saleDate) {
            this.saleDate = saleDate;
        }

        public String getPartyName() {
            return partyName;
        }

        public void setPartyName(String partyName) {
            this.partyName = partyName;
        }

        public String getTotalAmount() {
            return totalAmount;
        }

        public void setTotalAmount(String totalAmount) {
            this.totalAmount = totalAmount;
        }

        public String getDeliveryStatus() {
            return deliveryStatus;
        }

        public void setDeliveryStatus(String deliveryStatus) {
            this.deliveryStatus = deliveryStatus;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getUserEmail() {
            return userEmail;
        }

        public void setUserEmail(String userEmail) {
            this.userEmail = userEmail;
        }

        public String getUserMobile() {
            return userMobile;
        }

        public void setUserMobile(String userMobile) {
            this.userMobile = userMobile;
        }

        public String getUserCity() {
            return userCity;
        }

        public void setUserCity(String userCity) {
            this.userCity = userCity;
        }

        public String getUserLatitude() {
            return userLatitude;
        }

        public void setUserLatitude(String userLatitude) {
            this.userLatitude = userLatitude;
        }

        public String getUserLongitude() {
            return userLongitude;
        }

        public void setUserLongitude(String userLongitude) {
            this.userLongitude = userLongitude;
        }

        public String getOrdersTotal() {
            return ordersTotal;
        }

        public void setOrdersTotal(String ordersTotal) {
            this.ordersTotal = ordersTotal;
        }

        public String getDeliveryDate() {
            return deliveryDate;
        }

        public void setDeliveryDate(String deliveryDate) {
            this.deliveryDate = deliveryDate;
        }

        public String getPaymentType() {
            return paymentType;
        }

        public void setPaymentType(String paymentType) {
            this.paymentType = paymentType;
        }

        public List<DataItem> getItem() {
            return item;
        }

        public void setItem(List<DataItem> item) {
            this.item = item;
        }

        public static class DataItem implements Serializable{



    String id="";
    String salesInvoiceId="";
    String itemId="";
    String quantity="";
    String rate="";
    String amount="";
    String itemName="";
    String catName="";
    String image="";
            String itemStockWeight="";
            String qntUnit="";


            public String getSalesInvoiceId() {
                return salesInvoiceId;
            }

            public void setSalesInvoiceId(String salesInvoiceId) {
                this.salesInvoiceId = salesInvoiceId;
            }

            public String getItemId() {
                return itemId;
            }

            public void setItemId(String itemId) {
                this.itemId = itemId;
            }

            public String getItemName() {
                return itemName;
            }

            public void setItemName(String itemName) {
                this.itemName = itemName;
            }

            public String getCatName() {
                return catName;
            }

            public void setCatName(String catName) {
                this.catName = catName;
            }

            public String getQntUnit() {
                return qntUnit;
            }

            public void setQntUnit(String qntUnit) {
                this.qntUnit = qntUnit;
            }

            public String getItemStockWeight() {
                return itemStockWeight;
            }

            public void setItemStockWeight(String itemStockWeight) {
                this.itemStockWeight = itemStockWeight;
            }

            public String getImage() {
                return image;
            }

            public void setImage(String image) {
                this.image = image;
            }

            public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }



    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }


}





    }

}
